<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, shrink-to-fit=no"
    />
    <title>Bootstrap - Flex</title>

    <!-- Bootstrap CSS -->
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css"
      integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn"
      crossorigin="anonymous"
    />

    <link rel="stylesheet" href="index.css" />
  </head>
  <body>
    <!-- Bootstrap JS -->
    <h1 class="text-center mt-5">Bootstrap Flex</h1>

    <h3 class="text-center my-3">Flex Row</h3>
    <div class="bg-dark d-flex mb-4">
      <div class="bg-primary p-2">Flex item 1</div>
      <div class="bg-danger p-2">Flex item 2</div>
      <div class="bg-success p-2">Flex item 3</div>
    </div>

    <h3 class="text-center my-3">Flex Row Reverse</h3>
    <div class="bg-dark d-flex flex-row-reverse mb-4">
      <div class="bg-primary p-2">Flex item 1</div>
      <div class="bg-danger p-2">Flex item 2</div>
      <div class="bg-success p-2">Flex item 3</div>
    </div>

    <h3 class="text-center my-3">Flex Column</h3>
    <div class="bg-dark d-flex flex-column-reverse mb-4">
      <div class="bg-primary p-2">Flex item 1</div>
      <div class="bg-danger p-2">Flex item 2</div>
      <div class="bg-success p-2">Flex item 3</div>
    </div>

    <!-- Justify Content -->
    <h2 class="text-center">Justify Content End</h2>
    <h3 class="text-center">Flex row reverse</h3>
    <div class="bg-dark d-flex justify-content-end flex-row-reverse mb-4">
      <div class="bg-primary p-2">Flex item 1</div>
      <div class="bg-danger p-2">Flex item 2</div>
      <div class="bg-success p-2">Flex item 3</div>
    </div>

    <h3 class="text-center my-2">Mini-Activity with Flex Row</h3>
    <div
      class="bg-dark d-flex justify-content-center align-items-center mb-2"
      style="height: 50vh"
    >
      <div class="bg-primary p-2">Flex item 1</div>
      <div class="bg-danger p-2">Flex item 2</div>
      <div class="bg-success p-2">Flex item 3</div>
    </div>

    <div
      class="bg-dark d-flex justify-content-around align-items-center mb-2"
      style="height: 50vh"
    >
      <div class="bg-primary p-2">Flex item 1</div>
      <div class="bg-danger p-2">Flex item 2</div>
      <div class="bg-success p-2">Flex item 3</div>
    </div>

    <h3 class="text-center my-2">Mini-Activity #2</h3>
    <div
      class="bg-dark d-flex flex-column justify-content-end align-items-start mb-4"
      style="height: 50vh"
    >
      <div class="bg-primary p-2">Flex item 1</div>
      <div class="bg-danger p-2">Flex item 2</div>
      <div class="bg-success p-2">Flex item 3</div>
    </div>
    <div
      class="bg-dark d-flex flex-column justify-content-start align-items-end align-items-end mb-4"
      style="height: 50vh"
    >
      <div class="bg-primary p-2">Flex item 1</div>
      <div class="bg-danger p-2">Flex item 2</div>
      <div class="bg-success p-2">Flex item 3</div>
    </div>

    <!-- Flex Wrap -->
    <h2 class="text-center my-2">Flex Wrap</h2>
    <div class="bg-dar d-flex flex-row flex-wrap mb-4">
      <div class="bg-primary p-2">Flex item 1</div>
      <div class="bg-danger p-2">Flex item 2</div>
      <div class="bg-success p-2">Flex item 3</div>
      <div class="bg-warning p-2">Flex item 4</div>
      <div class="bg-info p-2">Flex item 5</div>
      <div class="bg-primary p-2">Flex item 6</div>
      <div class="bg-success p-2">Flex item 7</div>
      <div class="bg-dark p-2">Flex item 8</div>
      <div class="bg-warning p-2">Flex item 9</div>
    </div>
    <script
      src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"
      integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"
      integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.min.js"
      integrity="sha384-VHvPCCyXqtD5DqJeNxl2dtTyhF78xXNXdkwX1CZeRusQfRKp+tA7hAShOK/B/fQ2"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
